Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network100.65.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
100.65.76.0
Broadcast address
100.65.79.255
First usable
100.65.76.1
Last usable
100.65.79.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Shared address space (CGNAT) 100.64.0.0/10
Used by providers behind carrier-grade NAT (RFC 6598)
Old class
A (default /8)
As numbers
Hex 64414C00 · Integer 1682000896 to 1682001919
Reverse DNS zones
76.65.100.in-addr.arpa
77.65.100.in-addr.arpa
78.65.100.in-addr.arpa
79.65.100.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100100.01000001.01001100.00000000100.65.76.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network01100100.01000001.01001100.00000000100.65.76.0
Broadcast01100100.01000001.01001111.11111111100.65.79.255
Split into smaller subnets/31

100.65.76.0/22 makes 512 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1100.65.76.0/31100.65.76.0 to 100.65.76.1—2
2100.65.76.2/31100.65.76.2 to 100.65.76.3—2
3100.65.76.4/31100.65.76.4 to 100.65.76.5—2
4100.65.76.6/31100.65.76.6 to 100.65.76.7—2
5100.65.76.8/31100.65.76.8 to 100.65.76.9—2
6100.65.76.10/31100.65.76.10 to 100.65.76.11—2
7100.65.76.12/31100.65.76.12 to 100.65.76.13—2
8100.65.76.14/31100.65.76.14 to 100.65.76.15—2
9100.65.76.16/31100.65.76.16 to 100.65.76.17—2
10100.65.76.18/31100.65.76.18 to 100.65.76.19—2
11100.65.76.20/31100.65.76.20 to 100.65.76.21—2
12100.65.76.22/31100.65.76.22 to 100.65.76.23—2
13100.65.76.24/31100.65.76.24 to 100.65.76.25—2
14100.65.76.26/31100.65.76.26 to 100.65.76.27—2
15100.65.76.28/31100.65.76.28 to 100.65.76.29—2
16100.65.76.30/31100.65.76.30 to 100.65.76.31—2
17100.65.76.32/31100.65.76.32 to 100.65.76.33—2
18100.65.76.34/31100.65.76.34 to 100.65.76.35—2
19100.65.76.36/31100.65.76.36 to 100.65.76.37—2
20100.65.76.38/31100.65.76.38 to 100.65.76.39—2
21100.65.76.40/31100.65.76.40 to 100.65.76.41—2
22100.65.76.42/31100.65.76.42 to 100.65.76.43—2
23100.65.76.44/31100.65.76.44 to 100.65.76.45—2
24100.65.76.46/31100.65.76.46 to 100.65.76.47—2
25100.65.76.48/31100.65.76.48 to 100.65.76.49—2
26100.65.76.50/31100.65.76.50 to 100.65.76.51—2
27100.65.76.52/31100.65.76.52 to 100.65.76.53—2
28100.65.76.54/31100.65.76.54 to 100.65.76.55—2
29100.65.76.56/31100.65.76.56 to 100.65.76.57—2
30100.65.76.58/31100.65.76.58 to 100.65.76.59—2
31100.65.76.60/31100.65.76.60 to 100.65.76.61—2
32100.65.76.62/31100.65.76.62 to 100.65.76.63—2
33100.65.76.64/31100.65.76.64 to 100.65.76.65—2
34100.65.76.66/31100.65.76.66 to 100.65.76.67—2
35100.65.76.68/31100.65.76.68 to 100.65.76.69—2
36100.65.76.70/31100.65.76.70 to 100.65.76.71—2
37100.65.76.72/31100.65.76.72 to 100.65.76.73—2
38100.65.76.74/31100.65.76.74 to 100.65.76.75—2
39100.65.76.76/31100.65.76.76 to 100.65.76.77—2
40100.65.76.78/31100.65.76.78 to 100.65.76.79—2
41100.65.76.80/31100.65.76.80 to 100.65.76.81—2
42100.65.76.82/31100.65.76.82 to 100.65.76.83—2
43100.65.76.84/31100.65.76.84 to 100.65.76.85—2
44100.65.76.86/31100.65.76.86 to 100.65.76.87—2
45100.65.76.88/31100.65.76.88 to 100.65.76.89—2
46100.65.76.90/31100.65.76.90 to 100.65.76.91—2
47100.65.76.92/31100.65.76.92 to 100.65.76.93—2
48100.65.76.94/31100.65.76.94 to 100.65.76.95—2
49100.65.76.96/31100.65.76.96 to 100.65.76.97—2
50100.65.76.98/31100.65.76.98 to 100.65.76.99—2
51100.65.76.100/31100.65.76.100 to 100.65.76.101—2
52100.65.76.102/31100.65.76.102 to 100.65.76.103—2
53100.65.76.104/31100.65.76.104 to 100.65.76.105—2
54100.65.76.106/31100.65.76.106 to 100.65.76.107—2
55100.65.76.108/31100.65.76.108 to 100.65.76.109—2
56100.65.76.110/31100.65.76.110 to 100.65.76.111—2
57100.65.76.112/31100.65.76.112 to 100.65.76.113—2
58100.65.76.114/31100.65.76.114 to 100.65.76.115—2
59100.65.76.116/31100.65.76.116 to 100.65.76.117—2
60100.65.76.118/31100.65.76.118 to 100.65.76.119—2
61100.65.76.120/31100.65.76.120 to 100.65.76.121—2
62100.65.76.122/31100.65.76.122 to 100.65.76.123—2
63100.65.76.124/31100.65.76.124 to 100.65.76.125—2
64100.65.76.126/31100.65.76.126 to 100.65.76.127—2
65100.65.76.128/31100.65.76.128 to 100.65.76.129—2
66100.65.76.130/31100.65.76.130 to 100.65.76.131—2
67100.65.76.132/31100.65.76.132 to 100.65.76.133—2
68100.65.76.134/31100.65.76.134 to 100.65.76.135—2
69100.65.76.136/31100.65.76.136 to 100.65.76.137—2
70100.65.76.138/31100.65.76.138 to 100.65.76.139—2
71100.65.76.140/31100.65.76.140 to 100.65.76.141—2
72100.65.76.142/31100.65.76.142 to 100.65.76.143—2
73100.65.76.144/31100.65.76.144 to 100.65.76.145—2
74100.65.76.146/31100.65.76.146 to 100.65.76.147—2
75100.65.76.148/31100.65.76.148 to 100.65.76.149—2
76100.65.76.150/31100.65.76.150 to 100.65.76.151—2
77100.65.76.152/31100.65.76.152 to 100.65.76.153—2
78100.65.76.154/31100.65.76.154 to 100.65.76.155—2
79100.65.76.156/31100.65.76.156 to 100.65.76.157—2
80100.65.76.158/31100.65.76.158 to 100.65.76.159—2
81100.65.76.160/31100.65.76.160 to 100.65.76.161—2
82100.65.76.162/31100.65.76.162 to 100.65.76.163—2
83100.65.76.164/31100.65.76.164 to 100.65.76.165—2
84100.65.76.166/31100.65.76.166 to 100.65.76.167—2
85100.65.76.168/31100.65.76.168 to 100.65.76.169—2
86100.65.76.170/31100.65.76.170 to 100.65.76.171—2
87100.65.76.172/31100.65.76.172 to 100.65.76.173—2
88100.65.76.174/31100.65.76.174 to 100.65.76.175—2
89100.65.76.176/31100.65.76.176 to 100.65.76.177—2
90100.65.76.178/31100.65.76.178 to 100.65.76.179—2
91100.65.76.180/31100.65.76.180 to 100.65.76.181—2
92100.65.76.182/31100.65.76.182 to 100.65.76.183—2
93100.65.76.184/31100.65.76.184 to 100.65.76.185—2
94100.65.76.186/31100.65.76.186 to 100.65.76.187—2
95100.65.76.188/31100.65.76.188 to 100.65.76.189—2
96100.65.76.190/31100.65.76.190 to 100.65.76.191—2
97100.65.76.192/31100.65.76.192 to 100.65.76.193—2
98100.65.76.194/31100.65.76.194 to 100.65.76.195—2
99100.65.76.196/31100.65.76.196 to 100.65.76.197—2
100100.65.76.198/31100.65.76.198 to 100.65.76.199—2
101100.65.76.200/31100.65.76.200 to 100.65.76.201—2
102100.65.76.202/31100.65.76.202 to 100.65.76.203—2
103100.65.76.204/31100.65.76.204 to 100.65.76.205—2
104100.65.76.206/31100.65.76.206 to 100.65.76.207—2
105100.65.76.208/31100.65.76.208 to 100.65.76.209—2
106100.65.76.210/31100.65.76.210 to 100.65.76.211—2
107100.65.76.212/31100.65.76.212 to 100.65.76.213—2
108100.65.76.214/31100.65.76.214 to 100.65.76.215—2
109100.65.76.216/31100.65.76.216 to 100.65.76.217—2
110100.65.76.218/31100.65.76.218 to 100.65.76.219—2
111100.65.76.220/31100.65.76.220 to 100.65.76.221—2
112100.65.76.222/31100.65.76.222 to 100.65.76.223—2
113100.65.76.224/31100.65.76.224 to 100.65.76.225—2
114100.65.76.226/31100.65.76.226 to 100.65.76.227—2
115100.65.76.228/31100.65.76.228 to 100.65.76.229—2
116100.65.76.230/31100.65.76.230 to 100.65.76.231—2
117100.65.76.232/31100.65.76.232 to 100.65.76.233—2
118100.65.76.234/31100.65.76.234 to 100.65.76.235—2
119100.65.76.236/31100.65.76.236 to 100.65.76.237—2
120100.65.76.238/31100.65.76.238 to 100.65.76.239—2
121100.65.76.240/31100.65.76.240 to 100.65.76.241—2
122100.65.76.242/31100.65.76.242 to 100.65.76.243—2
123100.65.76.244/31100.65.76.244 to 100.65.76.245—2
124100.65.76.246/31100.65.76.246 to 100.65.76.247—2
125100.65.76.248/31100.65.76.248 to 100.65.76.249—2
126100.65.76.250/31100.65.76.250 to 100.65.76.251—2
127100.65.76.252/31100.65.76.252 to 100.65.76.253—2
128100.65.76.254/31100.65.76.254 to 100.65.76.255—2
129100.65.77.0/31100.65.77.0 to 100.65.77.1—2
130100.65.77.2/31100.65.77.2 to 100.65.77.3—2
131100.65.77.4/31100.65.77.4 to 100.65.77.5—2
132100.65.77.6/31100.65.77.6 to 100.65.77.7—2
133100.65.77.8/31100.65.77.8 to 100.65.77.9—2
134100.65.77.10/31100.65.77.10 to 100.65.77.11—2
135100.65.77.12/31100.65.77.12 to 100.65.77.13—2
136100.65.77.14/31100.65.77.14 to 100.65.77.15—2
137100.65.77.16/31100.65.77.16 to 100.65.77.17—2
138100.65.77.18/31100.65.77.18 to 100.65.77.19—2
139100.65.77.20/31100.65.77.20 to 100.65.77.21—2
140100.65.77.22/31100.65.77.22 to 100.65.77.23—2
141100.65.77.24/31100.65.77.24 to 100.65.77.25—2
142100.65.77.26/31100.65.77.26 to 100.65.77.27—2
143100.65.77.28/31100.65.77.28 to 100.65.77.29—2
144100.65.77.30/31100.65.77.30 to 100.65.77.31—2
145100.65.77.32/31100.65.77.32 to 100.65.77.33—2
146100.65.77.34/31100.65.77.34 to 100.65.77.35—2
147100.65.77.36/31100.65.77.36 to 100.65.77.37—2
148100.65.77.38/31100.65.77.38 to 100.65.77.39—2
149100.65.77.40/31100.65.77.40 to 100.65.77.41—2
150100.65.77.42/31100.65.77.42 to 100.65.77.43—2
151100.65.77.44/31100.65.77.44 to 100.65.77.45—2
152100.65.77.46/31100.65.77.46 to 100.65.77.47—2
153100.65.77.48/31100.65.77.48 to 100.65.77.49—2
154100.65.77.50/31100.65.77.50 to 100.65.77.51—2
155100.65.77.52/31100.65.77.52 to 100.65.77.53—2
156100.65.77.54/31100.65.77.54 to 100.65.77.55—2
157100.65.77.56/31100.65.77.56 to 100.65.77.57—2
158100.65.77.58/31100.65.77.58 to 100.65.77.59—2
159100.65.77.60/31100.65.77.60 to 100.65.77.61—2
160100.65.77.62/31100.65.77.62 to 100.65.77.63—2
161100.65.77.64/31100.65.77.64 to 100.65.77.65—2
162100.65.77.66/31100.65.77.66 to 100.65.77.67—2
163100.65.77.68/31100.65.77.68 to 100.65.77.69—2
164100.65.77.70/31100.65.77.70 to 100.65.77.71—2
165100.65.77.72/31100.65.77.72 to 100.65.77.73—2
166100.65.77.74/31100.65.77.74 to 100.65.77.75—2
167100.65.77.76/31100.65.77.76 to 100.65.77.77—2
168100.65.77.78/31100.65.77.78 to 100.65.77.79—2
169100.65.77.80/31100.65.77.80 to 100.65.77.81—2
170100.65.77.82/31100.65.77.82 to 100.65.77.83—2
171100.65.77.84/31100.65.77.84 to 100.65.77.85—2
172100.65.77.86/31100.65.77.86 to 100.65.77.87—2
173100.65.77.88/31100.65.77.88 to 100.65.77.89—2
174100.65.77.90/31100.65.77.90 to 100.65.77.91—2
175100.65.77.92/31100.65.77.92 to 100.65.77.93—2
176100.65.77.94/31100.65.77.94 to 100.65.77.95—2
177100.65.77.96/31100.65.77.96 to 100.65.77.97—2
178100.65.77.98/31100.65.77.98 to 100.65.77.99—2
179100.65.77.100/31100.65.77.100 to 100.65.77.101—2
180100.65.77.102/31100.65.77.102 to 100.65.77.103—2
181100.65.77.104/31100.65.77.104 to 100.65.77.105—2
182100.65.77.106/31100.65.77.106 to 100.65.77.107—2
183100.65.77.108/31100.65.77.108 to 100.65.77.109—2
184100.65.77.110/31100.65.77.110 to 100.65.77.111—2
185100.65.77.112/31100.65.77.112 to 100.65.77.113—2
186100.65.77.114/31100.65.77.114 to 100.65.77.115—2
187100.65.77.116/31100.65.77.116 to 100.65.77.117—2
188100.65.77.118/31100.65.77.118 to 100.65.77.119—2
189100.65.77.120/31100.65.77.120 to 100.65.77.121—2
190100.65.77.122/31100.65.77.122 to 100.65.77.123—2
191100.65.77.124/31100.65.77.124 to 100.65.77.125—2
192100.65.77.126/31100.65.77.126 to 100.65.77.127—2
193100.65.77.128/31100.65.77.128 to 100.65.77.129—2
194100.65.77.130/31100.65.77.130 to 100.65.77.131—2
195100.65.77.132/31100.65.77.132 to 100.65.77.133—2
196100.65.77.134/31100.65.77.134 to 100.65.77.135—2
197100.65.77.136/31100.65.77.136 to 100.65.77.137—2
198100.65.77.138/31100.65.77.138 to 100.65.77.139—2
199100.65.77.140/31100.65.77.140 to 100.65.77.141—2
200100.65.77.142/31100.65.77.142 to 100.65.77.143—2
201100.65.77.144/31100.65.77.144 to 100.65.77.145—2
202100.65.77.146/31100.65.77.146 to 100.65.77.147—2
203100.65.77.148/31100.65.77.148 to 100.65.77.149—2
204100.65.77.150/31100.65.77.150 to 100.65.77.151—2
205100.65.77.152/31100.65.77.152 to 100.65.77.153—2
206100.65.77.154/31100.65.77.154 to 100.65.77.155—2
207100.65.77.156/31100.65.77.156 to 100.65.77.157—2
208100.65.77.158/31100.65.77.158 to 100.65.77.159—2
209100.65.77.160/31100.65.77.160 to 100.65.77.161—2
210100.65.77.162/31100.65.77.162 to 100.65.77.163—2
211100.65.77.164/31100.65.77.164 to 100.65.77.165—2
212100.65.77.166/31100.65.77.166 to 100.65.77.167—2
213100.65.77.168/31100.65.77.168 to 100.65.77.169—2
214100.65.77.170/31100.65.77.170 to 100.65.77.171—2
215100.65.77.172/31100.65.77.172 to 100.65.77.173—2
216100.65.77.174/31100.65.77.174 to 100.65.77.175—2
217100.65.77.176/31100.65.77.176 to 100.65.77.177—2
218100.65.77.178/31100.65.77.178 to 100.65.77.179—2
219100.65.77.180/31100.65.77.180 to 100.65.77.181—2
220100.65.77.182/31100.65.77.182 to 100.65.77.183—2
221100.65.77.184/31100.65.77.184 to 100.65.77.185—2
222100.65.77.186/31100.65.77.186 to 100.65.77.187—2
223100.65.77.188/31100.65.77.188 to 100.65.77.189—2
224100.65.77.190/31100.65.77.190 to 100.65.77.191—2
225100.65.77.192/31100.65.77.192 to 100.65.77.193—2
226100.65.77.194/31100.65.77.194 to 100.65.77.195—2
227100.65.77.196/31100.65.77.196 to 100.65.77.197—2
228100.65.77.198/31100.65.77.198 to 100.65.77.199—2
229100.65.77.200/31100.65.77.200 to 100.65.77.201—2
230100.65.77.202/31100.65.77.202 to 100.65.77.203—2
231100.65.77.204/31100.65.77.204 to 100.65.77.205—2
232100.65.77.206/31100.65.77.206 to 100.65.77.207—2
233100.65.77.208/31100.65.77.208 to 100.65.77.209—2
234100.65.77.210/31100.65.77.210 to 100.65.77.211—2
235100.65.77.212/31100.65.77.212 to 100.65.77.213—2
236100.65.77.214/31100.65.77.214 to 100.65.77.215—2
237100.65.77.216/31100.65.77.216 to 100.65.77.217—2
238100.65.77.218/31100.65.77.218 to 100.65.77.219—2
239100.65.77.220/31100.65.77.220 to 100.65.77.221—2
240100.65.77.222/31100.65.77.222 to 100.65.77.223—2
241100.65.77.224/31100.65.77.224 to 100.65.77.225—2
242100.65.77.226/31100.65.77.226 to 100.65.77.227—2
243100.65.77.228/31100.65.77.228 to 100.65.77.229—2
244100.65.77.230/31100.65.77.230 to 100.65.77.231—2
245100.65.77.232/31100.65.77.232 to 100.65.77.233—2
246100.65.77.234/31100.65.77.234 to 100.65.77.235—2
247100.65.77.236/31100.65.77.236 to 100.65.77.237—2
248100.65.77.238/31100.65.77.238 to 100.65.77.239—2
249100.65.77.240/31100.65.77.240 to 100.65.77.241—2
250100.65.77.242/31100.65.77.242 to 100.65.77.243—2
251100.65.77.244/31100.65.77.244 to 100.65.77.245—2
252100.65.77.246/31100.65.77.246 to 100.65.77.247—2
253100.65.77.248/31100.65.77.248 to 100.65.77.249—2
254100.65.77.250/31100.65.77.250 to 100.65.77.251—2
255100.65.77.252/31100.65.77.252 to 100.65.77.253—2
256100.65.77.254/31100.65.77.254 to 100.65.77.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses